Lavalite package that provides products management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `tsn-media/products`.

    "tsn-media/products": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    TsnMedia\Products\Providers\ProductsServiceProvider::class,

And also add it to alias

    'Products'  => TsnMedia\Products\Facades\Products::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=TsnMedia\\ProductsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="TsnMedia\Products\Providers\ProductsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="TsnMedia\Products\Providers\ProductsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="TsnMedia\Products\Providers\ProductsServiceProvider" --tag="view"


## Usage


