<?php

namespace TsnMedia\Products\Repositories\Eloquent;

use TsnMedia\Products\Interfaces\ProductsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ProductsRepository extends BaseRepository implements ProductsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('tsn-media.products.products.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('tsn-media.products.products.model.model');
    }
}
